summaryrefslogtreecommitdiff
path: root/dev-python/testscenarios
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/testscenarios')
-rw-r--r--dev-python/testscenarios/Manifest1
-rw-r--r--dev-python/testscenarios/metadata.xml28
-rw-r--r--dev-python/testscenarios/testscenarios-0.5.0.ebuild33
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/testscenarios/Manifest b/dev-python/testscenarios/Manifest
new file mode 100644
index 000000000000..9f65f8169e07
--- /dev/null
+++ b/dev-python/testscenarios/Manifest
@@ -0,0 +1 @@
+DIST testscenarios-0.5.0.tar.gz 20951 BLAKE2B 154915281456aad3353e144ffec8404514622fdeb8d2129ba530d3d5a02814599c2fead9dc25ab4904bad68b2892a435f9cbbcde92503d71477624bbec154f53 SHA512 f08b868babf504482369c5cb945d3e95bca1cc00f92d5013f6898c488051be0c26dc49aaabcef362aea45450a8d041d9826fb6b5c848beec013fb102d6935521
diff --git a/dev-python/testscenarios/metadata.xml b/dev-python/testscenarios/metadata.xml
new file mode 100644
index 000000000000..da5c735128aa
--- /dev/null
+++ b/dev-python/testscenarios/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>openstack@gentoo.org</email>
+ <name>Openstack</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Testscenarios provides clean dependency injection for
+ python unittest style tests. This can be used for interface testing
+ (testing many implementations via a single test suite) or for classic
+ dependency injection (provide tests with dependencies externally to the
+ test code itself, allowing easy testing in different situations).
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">testscenarios</remote-id>
+ <remote-id type="launchpad">testscenarios</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/testscenarios/testscenarios-0.5.0.ebuild b/dev-python/testscenarios/testscenarios-0.5.0.ebuild
new file mode 100644
index 000000000000..4c2e3e972ef6
--- /dev/null
+++ b/dev-python/testscenarios/testscenarios-0.5.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A pyunit extension for dependency injection"
+HOMEPAGE="https://launchpad.net/testscenarios"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/testtools[${PYTHON_USEDEP}]"
+
+# using pytest for tests since unittest loader fails with py3.5+
+DEPEND="
+ >=dev-python/pbr-0.11[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove a faulty file from tests, missing a required attribute
+ rm ${PN}/tests/test_testcase.py || die
+ distutils-r1_python_prepare_all
+}